// Copyright (c) 2016, the Dart project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

library analyzer.test.src.summary.resynthesize_strong_test;

import 'package:analyzer/src/generated/engine.dart';
import 'package:analyzer/src/generated/sdk.dart';
import 'package:test_reflective_loader/test_reflective_loader.dart';
import 'package:unittest/unittest.dart';

import '../context/abstract_context.dart';
import 'resynthesize_test.dart';

main() {
  groupSep = ' | ';
  defineReflectiveTests(ResynthesizeStrongTest);
}

@reflectiveTest
class ResynthesizeStrongTest extends ResynthesizeElementTest {
  @override
  DartSdk createDartSdk() => AbstractContextTest.SHARED_STRONG_MOCK_SDK;

  @override
  AnalysisOptionsImpl createOptions() =>
      super.createOptions()..strongMode = true;

  @override
  @failingTest
  test_instantiateToBounds_boundRefersToLaterTypeArgument() {
    // TODO(paulberry): this is failing due to dartbug.com/27072.
    super.test_instantiateToBounds_boundRefersToLaterTypeArgument();
  }
}
